import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { DashboardComponent } from './pages/dashboard';
import { RecipeDetailsComponent } from './pages/recipe-details';

@NgModule({
    imports: [
        BrowserModule,
        ReactiveFormsModule,
        HttpClientModule,
        AppRoutingModule
    ],
    declarations: [
        AppComponent,
        DashboardComponent,
        RecipeDetailsComponent
    ],
    providers: [
      
    ],
    bootstrap: [AppComponent],
    entryComponents: [ ]
})
export class AppModule { };