import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { DashboardComponent } from './pages/dashboard';
import { RecipeDetailsComponent } from './pages/recipe-details';

const routes: Routes = [
    { path: '', component: DashboardComponent },
    { path: 'recipe/:id', component: RecipeDetailsComponent },
    { path: '**', redirectTo: '' }
];

@NgModule({
    imports: [RouterModule.forRoot(routes)],
    exports: [RouterModule]
})
export class AppRoutingModule { }