import { Component, OnInit } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Router } from '@angular/router';

@Component({ templateUrl: 'dashboard.component.html' })
export class DashboardComponent implements OnInit {
    selectedCatList: [];

    constructor(private router: Router, private http: HttpClient) {
    }

    ngOnInit() {
        let headers = new HttpHeaders({
            'x-api-key': 'd0f75f78c8d342e6b1d418cd2e2f31da'
        });
        this.http
            .get<any>('https://api.spoonacular.com/recipes/complexSearch?number=10000', {
                headers: headers
            })
            .subscribe(data => {
                this.selectedCatList = data?.results
            });
    }

    navigateToDetails(recipe) {
        this.router.navigateByUrl('/recipe/' + recipe.id);
    }
}